/*
Copyright (C) 2020 Jacquelin POTIER <jacquelin.potier@free.fr>
Dynamic aspect ratio code Copyright (C) 2017 Jacquelin POTIER <jacquelin.potier@free.fr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#pragma once

#include <Windows.h>

class CAutoComplete
{
public:

    // An application must have invoked either CoInitialize or OleInitialize 
    // prior to calling this function. CoUninitialize or OleUninitialize cannot be called
    // until the edit box has finished processing the WM_DESTROY message for hwndEdit
    static HRESULT AddAutoCompleteToEditControl(HWND hwndEdit);
};
